Page 1 of 1

another repository GPG errors

Posted: Mon Sep 17, 2012 6:04 am
by iainrs
I'm not sure that this is connected.
I'm running UP4 & XFCE.
This morning I ran 'Software Manager' and got

W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://packages.linuxmint.com debian Release: The following signatures were invalid: BADSIG 3EE67F3D0FF405B2 Clement Lefebvre (Linux Mint Package Repository v1) <root@linuxmint.com>

W: Failed to fetch http://packages.linuxmint.com/dists/debian/Release



It then informed me that I had 1120 updates !
I'm not very knowledgable on the software update process but obviously this didn't look right.
I had 2 Mint Updates last week - I think one was the 'mint-debian mirrors' TomRoche referred to
(Is there a way of checking what was updated ?)

The list of repositories is
deb http://packages.linuxmint.com/ debian main upstream import
deb-src http://packages.linuxmint.com/ debian main upstream import #Added by software-properties
deb http://debian.linuxmint.com/latest testing main contrib non-free
deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
deb http://debian.linuxmint.com/latest/multimedia testing main non-free
deb http://debian.scribus.net/debian/ stable main
deb-src http://debian.scribus.net/debian/ stable main
deb http://debian.wgdd.de/debian squeeze main contrib non-free
deb-src http://debian.wgdd.de/debian squeeze main contrib non-free


Can someone please tell me what action I should take ?

Iain

Re: another repository GPG errors

Posted: Mon Sep 17, 2012 6:27 am
by zerozero
[moved to a topic of its own, it's a different error, deserves a different topic]
Iain,
what is the output of

Code: Select all

apt policy linuxmint-keyring

[quote]Iain, what is the output of CODE: SELECT ALL apt poli

Posted: Mon Sep 17, 2012 7:00 am
by iainrs
Iain,
what is the output of
CODE: SELECT ALL
apt policy linuxmint-keyring


Code: Select all

$11:41:29 ~ >apt policy linuxmint-keyring

linuxmint-keyring:
  Installed: 2009.04.29
  Candidate: 2009.04.29
  Version table:
 *** 2009.04.29 0
        700 http://packages.linuxmint.com/ debian/main amd64 Packages
        100 /var/lib/dpkg/status


Re : question regarding updates

(found : from APT log (var/log/apt/term.log)

2012-09-07 22:00:34 Setting up mintsystem (7.8.2) ...
2012-09-13 16:00:20 Setting up mint-debian-mirrors (2012.09.10) ...
everything looked OK

thanks for helping
Iain

(reposted in 'Another repository GPG errors')

Re: another repository GPG errors

Posted: Tue Sep 18, 2012 4:35 pm
by iainrs
Panic Over!
Looks like I hit problems the start of Update 5, which I didn't know was coming.
It's now showing 1409 updates which I'll load at a quiet time (when USA and Europe are asleep ?)
now that I've backed up with Clonezilla.
Sorry but it looked nasty at the time
Iain

Re: another repository GPG errors

Posted: Tue Sep 18, 2012 6:33 pm
by zerozero
i'm glad you have this sorted :D